#ifndef __COLORS_H__
#define __COLORS_H__

#include "Defines.h"

/*
// Bright:  
	Red,				Orange,			Yellow,				Green,			Blue
	{1.0f,0.0f,0.0f},{1.0f,0.5f,0.0f},{1.0f,1.0f,0.0f},{0.0f,1.0f,0.0f},{0.0f,0.0f,1.0f}


// Dark:  
	Red,			Orange,				Yellow,			Green,			Blue
	{.5f,0.0f,0.0f},{0.5f,0.25f,0.0f},{0.5f,0.5f,0.0f},{0.0f,0.5f,0.0f},{0.0f,0.5f,0.5f}
*/

class CColors
{
public:
	static float* GetRed()				{return m_fvRed;};
	static float* GetOrange()			{return m_fvOrange;};
	static float* GetYellow()			{return m_fvYellow;};
	static float* GetGreen()			{return m_fvGreen;};
	static float* GetBlue()				{return m_fvBlue;};
	static float* GetWhite()			{return m_fvWhite;};
	static float* GetBlack()			{return m_fvBlack;};
	static float* GetColor(int nCol)	{return m_fvArrayOfColors[nCol];};
	float* GetCurrColor()				{return m_fvCurrColor;};
	float	m_fvCurrColor[4];

private:
	static float	m_fvRed[3];
	static float	m_fvOrange[3];
	static float	m_fvYellow[3];
	static float	m_fvGreen[3];
	static float	m_fvBlue[3];
	static float	m_fvWhite[3];
	static float	m_fvBlack[3];
	static float*	m_fvArrayOfColors[7];
};

#endif;