#ifndef __DEFINES_H__
#define __DEFINES_H__

#define WHITE	0
#define GREEN	1
#define RED		2
#define YELLOW	3
#define BLUE	4
#define ORANGE	5
#define BLACK	6

#define FRONT	0
#define RIGHT	1
#define TOP		2
#define BACK	3
#define LEFT	4
#define BOTTOM	5

#define ROTATINGFACE	0
#define SOLVED			1
#define MAKEBOTTOMCROSS	2
#define MAKINGBOTTOMCORNERS 3
#define SOLVINGEDGES 4
#define MOVINGWORKINGCORNER 5
#define FIXWORKINGCORNER 6
#define FIXWORKINGEDGE 7
#define MAKETOPCROSS 8
#define FIXTOPEDGES 9
#define MOVINGTOPCORNERS 10
#define FIXTOPCORNERS 11
#define MOVINGTOPFACE 12

#define STEPFINISHED	10000

#ifndef DIMENSIONS			//3x3
#define DIMENSIONS 3
#endif

#ifndef LENGTHOFCUBESIDE
#define LENGTHOFCUBESIDE (float) 4.0
#endif

#ifndef LENGTHOFCUBIESIDE	//   4/3
#define	LENGTHOFCUBIESIDE (float) 1.3333333333333333333333333333333	// 4/3
#endif

#ifndef HALFLENGTHOFCUBIESIDE	// (4/3) / 2
#define HALFLENGTHOFCUBIESIDE (float) 0.66666666666666666666666666666667 // (4/3) / 2
#endif

//#ifdef _DEBUG
#define ROTATIONSPEED	9.0f
//#else
//#define ROTATIONSPEED	3.5f
//#endif

#ifndef FRONTTOPRIGHT
#define FRONTTOPRIGHT 0
#endif

#ifndef FRONTBOTTOMRIGHT
#define FRONTBOTTOMRIGHT 1
#endif

#ifndef FRONTBOTTOMLEFT
#define FRONTBOTTOMLEFT 2
#endif

#ifndef FRONTTOPLEFT
#define FRONTTOPLEFT 3
#endif

#ifndef BACKTOPRIGHT
#define BACKTOPRIGHT 4
#endif

#ifndef BACKBOTTOMRIGHT
#define BACKBOTTOMRIGHT 5
#endif

#ifndef BACKBOTTOMLEFT
#define BACKBOTTOMLEFT 6
#endif

#ifndef BACKTOPLEFT
#define BACKTOPLEFT 7
#endif

#define TOPROW 0
#define MIDDLEROW 1
#define BOTTOMROW 2

#define LEFTCOL 0
#define MIDDLECOL 1
#define RIGHTCOL 2

#endif