#ifndef __WINDOW_H__
#define __WINDOW_H__

#include "stdafx.h"

class CWindow
{
public:
	static	CWindow* GetInstance();
	
	~CWindow();
	bool CreateGLWindow(char* title, int width, int height, int bits, bool fullscreenflag);
	GLvoid KillGLWindow(GLvoid);
	int InitGL(GLvoid);

	static	bool		m_bFullScreen;
	static	bool		m_bKeys[256];
	static	bool		m_bKeyPressed[256];
	static	bool		m_bActive;
	HINSTANCE	m_hInstance;
	HWND		m_hWnd;
	HDC			m_hDC;
	HGLRC		m_hRC;
	friend	LRESULT CALLBACK WndProc(HWND hWnd, UINT uMsg, WPARAM wParam, LPARAM lParam);
	friend	GLvoid ReSizeGLScene(GLsizei width, GLsizei height);

private:
	CWindow();

};

#endif