#ifndef __BMPFONT_H__
#define __BMPFONT_H__
#include <windows.h>
#include <gl\gl.h>

class BMPFont
{

public:
	static	BMPFont* GetInstance(HDC& hDC);
	HFONT	font;			// Windows Font ID
	HFONT	oldfont;		// Used For Good House Keeping
	GLuint	base;			// Base Display List For The Font Set
	~BMPFont();
	GLvoid glPrint(const char *fmt, ...);
	static void ReleasePointer();

protected:
	BMPFont(HDC& hDC);	
	static BMPFont* Instance;
};

#endif