// Move.cpp: implementation of the CMove class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "Move.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CMove::CMove()
{
	m_nFaceToMove	=	-1;
	m_bClockwise	=	false;
}

CMove::CMove(const CMove& rhs)
{
	m_nFaceToMove	=	rhs.m_nFaceToMove;
	m_bClockwise	=	rhs.m_bClockwise;
}

CMove::~CMove()
{

}

bool CMove::operator==(CMove& rhs)
{
	return ((m_nFaceToMove == rhs.m_nFaceToMove) && (m_bClockwise == rhs.m_bClockwise));
}

bool CMove::IsOpposite(CMove& rhs)
{
	return ((m_nFaceToMove == rhs.m_nFaceToMove) && (m_bClockwise == !rhs.m_bClockwise));
}